Subject: Re: [manet] AODV: previous hop for RREP

From: Bart Braem <[email-masked]>
Date: Mon, 1 Nov 2004 11:47:31 +0100

> Well basicaly, it means that when you receive a RREP, you just forward it
> as it would be expected: sending it in the direction of the node which
> originated the RREQ. You have a route to that node, because that route
> has been reated when you received the RREQ (in the old AODV drafts
> terminology: the reverse route (the route that goes from the destination
> till the originator that is created when RREQ is being forwarded).
>
> But you don't send it to the originator node directly. You just
> forward it to the next hop of the route to the originator.
> And that next hop will do the same. And so on, till it
> reaches the node that originated the RREQ.

Okay I understand the principle. So that previous hop mentioned in the first 
paragraph is the next node which will send the RREP to the originator of the 
RREQ.
But what happens when no valid route to the previous hop is found? It says "If 
needed, a route is created for the previous hop, but without a valid sequence 
number." I can create a new route table entry but then the RREP is stuck with 
me... A little bit further: "...  the node consults its route table entry    
for the originating node to determine the next hop for the RREP packet, and 
then forwards the RREP towards the originator using the information in that 
route table entry." So a route to the next hop of presumed?

Thanks for your help
Bart

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet